Class | Memcache::Server
In: | lib/memcache/server.rb
Parent: | Base

### Methods

add alive? append cache_key cas clone close count decr delete flush_all get incr input_key inspect name new prepend replace set stats strict_reads?

### Constants

CONNECT_TIMEOUT | = | 1.0
READ_RETRY_DELAY | = | 5.0
DEFAULT_PORT | = | 11211
ESCAPE | = | { " " => '\s', "\t" => '\t', "\n" => '\n', "\v" => '\v', "\f" => '\f', "\\" => '\\\\', }
UNESCAPE | = | ESCAPE.invert

### Attributes

host | [R] |
port | [R] |
retry_at | [R] |
status | [R] |

### Public Class methods

new(opts)

### Public Instance methods

add(key, value, expiry = 0, flags = 0)
alive?()
append(key, value)
cas(key, value, cas, expiry = 0, flags = 0)
clone()
close(error = nil)
count()
decr(key, amount = 1)
delete(key)
flush_all(delay = nil)
get(keys, cas = nil)
incr(key, amount = 1)
inspect()
name()
prepend(key, value)
replace(key, value, expiry = 0, flags = 0)
set(key, value, expiry = 0, flags = 0)
stats()
strict_reads?()

### Protected Instance methods

cache_key(key)
input_key(key)

[Validate]